public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tls/
Date: Sun, 22 Nov 2020 14:43:25 +0000 (UTC)	[thread overview]
Message-ID: <1606056181.d255c00fd7c8e86a900422cb37affb0d76fe55e2.tupone@gentoo> (raw)

commit:     d255c00fd7c8e86a900422cb37affb0d76fe55e2
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 22 14:43:01 2020 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Nov 22 14:43:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d255c00f

dev-tcltk/tls: Version bump

Closes: https://bugs.gentoo.org/755968
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-tcltk/tls/Manifest          |  1 +
 dev-tcltk/tls/tls-1.7.22.ebuild | 44 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-tcltk/tls/Manifest b/dev-tcltk/tls/Manifest
index f8cdbefff33..1a2304f6156 100644
--- a/dev-tcltk/tls/Manifest
+++ b/dev-tcltk/tls/Manifest
@@ -1 +1,2 @@
 DIST tcltls-1.7.16.tar.gz 166439 BLAKE2B 855b61bf21e7635fc9c53838037136586552261bb0c3b4c4a52638e99358f418a2c0d606b5fb130e32004e3a34c80afea25be16f068ffb499d6636309e4ae2a3 SHA512 f63b885dbfaec5d9ae811c126bd0ff253787effd7b053282b9ee566e9fae54df940bc058a6c3dd22e31fcb9ec6ae1b286aa40efd69c3f01f5a3014aada730ab1
+DIST tcltls-1.7.22.tar.gz 165206 BLAKE2B 351a5ee6a50174db8b13c9232a617aa90480550520771004c318c063b7c9703cdf969c7d12c56c54483bce5d08a9b48c04906d2be3ef9e3de0ab74c5dac68346 SHA512 28c76a6e7333b6ed1d83234691d61c9e71a59d0a6a28182fc0f50e97cae7b54da63ac76527e3b16087f3eab0b9cfe19bad02362e485d0cf378724de534805e99

diff --git a/dev-tcltk/tls/tls-1.7.22.ebuild b/dev-tcltk/tls/tls-1.7.22.ebuild
new file mode 100644
index 00000000000..c4f7c36511d
--- /dev/null
+++ b/dev-tcltk/tls/tls-1.7.22.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+MY_P="tcl${P}"
+
+DESCRIPTION="TLS OpenSSL extension to Tcl"
+HOMEPAGE="http://tls.sourceforge.net/"
+SRC_URI="https://core.tcl.tk/tcltls/uv/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="tk"
+
+DEPEND="
+	dev-lang/tcl:0=
+	dev-libs/openssl:0=
+	tk? ( dev-lang/tk:0= )"
+RDEPEND="${DEPEND}"
+
+RESTRICT="test"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+	econf \
+		--with-ssl-dir="${EPREFIX}/usr" \
+		--with-tcl="${EPREFIX}/usr/$(get_libdir)"
+}
+
+src_install() {
+	default
+	dodoc tls.htm
+
+	if [[ ${CHOST} == *-darwin* ]] ; then
+		# this is ugly, but fixing the makefile mess is even worse
+		local loc=usr/$(get_libdir)/tls1.7/libtls1.7.dylib
+		install_name_tool -id "${EPREFIX}"/${loc} "${ED}"/${loc} || die
+	fi
+}


             reply	other threads:[~2020-11-22 14:43 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-22 14:43 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-26 16:34 [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tls/ Andreas Sturmlechner
2023-03-15  8:12 Alfredo Tupone
2022-05-17 11:54 WANG Xuerui
2022-04-25 18:51 Sam James
2021-07-26 15:45 Marek Szuba
2021-04-29  5:44 Sam James
2021-03-28 11:04 Sam James
2021-03-25 23:42 Sam James
2021-03-15  1:40 Thomas Deutschmann
2021-03-14 22:11 Sam James
2021-03-14  1:20 Sam James
2021-03-12  8:13 Mikle Kolyada
2021-01-25 14:18 Sam James
2021-01-25 14:16 Sam James
2021-01-06 22:33 Fabian Groffen
2019-11-18  8:08 Alfredo Tupone
2019-11-18  7:57 Alfredo Tupone
2019-11-17  4:16 Matt Turner
2019-10-14 18:52 Sergei Trofimovich
2018-11-03 13:54 Alfredo Tupone
2017-07-19  8:57 Amy Liffey
2016-06-14 11:30 Daniel Campbell

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1606056181.d255c00fd7c8e86a900422cb37affb0d76fe55e2.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox